IBM Support

IT27489: AMQP sample script SampleMQM.sh reports AMQ7287 error

Subscribe to this APAR

By subscribing, you receive periodic emails alerting you to the status of the APAR, along with a link to the fix after it becomes available. You can track this item individually or track all items by product.

Notify me when this APAR changes.

Notify me when an APAR for this component changes.

 

APAR status

  • Closed as program error.

Error description

  • In MQ, 9.0 /opt/mqm/amqp/samples/SampleMQM.sh incorrectly
    attempts to set CMDLEVEL=801 on the queue manager, which results
    in an AMQ7287 errot message.
    .
    For instance:
    =============================================
    crtmqm $QMGR
    strmqm -e CMDLEVEL=801 $QMGR
    =============================================
    .
    The "strmqm -e CMDLEVEL=801" will fail on a MQ v9.0 or higher
    install with the following error:
    AMQ7287: The command level is outside the range of acceptable
    values.
    
    The value must be at least 900 and must not exceed 900.
    

Local fix

  • Modify SampleMQM.sh to remove the line which attempts to alter
    the queue manager's CMDLEVEL:
    .
    Original:
      crtmqm $QMGR
      strmqm -e CMDLEVEL=801 $QMGR
      strmqm $QMGR
    .
    Corrected:
      crtmqm $QMGR
      strmqm $QMGR
    

Problem summary

  • ****************************************************************
    USERS AFFECTED:
    All users using SampleMQM.sh to create a AMQP-enabled queue
    manager.
    
    
    Platforms affected:
    MultiPlatform
    
    ****************************************************************
    PROBLEM DESCRIPTION:
    The SampleMQM.sh attempted to incorrectly alter the queue
    manager's command level to 801, when the default version 9.0
    command level of 900 should have been used.
    

Problem conclusion

  • The SampleMQM.sh has been modified to remove the incorrect
    attempt to alter the queue manager's command level.
    
    ---------------------------------------------------------------
    The fix is targeted for delivery in the following PTFs:
    
    Version    Maintenance Level
    v9.0 LTS   9.0.0.6
    
    The latest available maintenance can be obtained from
    'WebSphere MQ Recommended Fixes'
    http://www-1.ibm.com/support/docview.wss?rs=171&uid=swg27006037
    
    If the maintenance level is not yet available information on
    its planned availability can be found in 'WebSphere MQ
    Planned Maintenance Release Dates'
    http://www-1.ibm.com/support/docview.wss?rs=171&uid=swg27006309
    ---------------------------------------------------------------
    

Temporary fix

Comments

APAR Information

  • APAR number

    IT27489

  • Reported component name

    IBM MQ BASE M/P

  • Reported component ID

    5724H7261

  • Reported release

    900

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2018-12-23

  • Closed date

    2019-01-23

  • Last modified date

    2019-01-23

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    IBM MQ BASE M/P

  • Fixed component ID

    5724H7261

Applicable component levels

[{"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Product":{"code":"SSYHRD","label":"IBM MQ"},"Component":"","ARM Category":[],"Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"9.0","Edition":"","Line of Business":{"code":"LOB36","label":"IBM Automation"}}]

Document Information

Modified date:
23 January 2019